<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

	<ItemGroup>
		<Protobuf Include="Protos\*.proto" GrpcServices="Server" />
	</ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.Core\Otus.Teaching.PromoCodeFactory.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.DataAccess\Otus.Teaching.PromoCodeFactory.DataAccess.csproj" />
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.Integration\Otus.Teaching.PromoCodeFactory.Integration.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EFCore.NamingConventions" Version="1.1.0" />
      <PackageReference Include="Grpc.AspNetCore" Version="2.37.0" />
      <PackageReference Include="HotChocolate.AspNetCore" Version="11.2.2" />
      <PackageReference Include="HotChocolate.AspNetCore.Playground" Version="10.5.5" />
      <PackageReference Include="HotChocolate.Data" Version="11.2.2" />
      <PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.1.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.4" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.3" />
      <PackageReference Include="NSwag.AspNetCore" Version="13.5.0" />
    </ItemGroup>

</Project>
